/**
 * FLL - Level 3
 *
 * Project: Status Code
 * API Version: 0.7
 * Licenses: lgpl-2.1-or-later
 *
 * This program provides status code to/from string translation.
 */
#ifndef _status_code_fss_h
#define _status_code_fss_h

// Libc includes.
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <unistd.h>

// FLL-0 includes.
#include <fll/level_0/type.h>
#include <fll/level_0/status.h>
#include <fll/level_0/memory.h>
#include <fll/level_0/string.h>
#include <fll/level_0/utf.h>
#include <fll/level_0/color.h>
#include <fll/level_0/compare.h>
#include <fll/level_0/console.h>
#include <fll/level_0/conversion.h>
#include <fll/level_0/pipe.h>
#include <fll/level_0/print.h>
#include <fll/level_0/rip.h>
#include <fll/level_0/signal.h>
#include <fll/level_0/status_string.h>

// FLL-1 includes.
#include <fll/level_1/conversion.h>
#include <fll/level_1/print.h>

// FLL-2 includes.
#include <fll/level_2/error.h>
#include <fll/level_2/fss_status_string.h>
#include <fll/level_2/print.h>
#include <fll/level_2/program.h>

// Status Code includes.
#include <program/status_code/main/common/define.h>
#include <program/status_code/main/common/enumeration.h>
#include <program/status_code/main/common/print.h>
#include <program/status_code/main/common/string.h>
#include <program/status_code/main/common/type.h>
#include <program/status_code/main/common.h>
#include <program/status_code/fss/common.h>
#include <program/status_code/main/convert.h>
#include <program/status_code/main/print/data.h>
#include <program/status_code/main/print/error.h>
#include <program/status_code/main/print/message.h>
#include <program/status_code/main/process.h>

#ifdef __cplusplus
extern "C" {
#endif

#ifdef __cplusplus
} // extern "C"
#endif

#endif // _status_code_fss_h
